﻿namespace BookmarkManager
{
    public class Result
    {
        public static Result Create() => new Result()
        {
            IsSuccess = true,
            Message = null
        };

        public static Result Create(bool isSuccess) => new Result()
        {
            IsSuccess = isSuccess,
            Message = null
        };

        public static Result Create(bool isSuccess, string message) => new Result()
        {
            IsSuccess = isSuccess,
            Message = message
        };


        public bool IsSuccess { get; set; } = false;

        public string Message { get; set; }

    }
}
